-- File philosopher.ads

-- Standard ECOA Types
with ECOA;


package philosopher is

-- Enum type
type State is 
   (State_UNDEFINED,
State_GETTINGSTICKS,
State_EATING,
State_SURRENDERING,
State_THINKING);
for State use
   (State_UNDEFINED => 0,
State_GETTINGSTICKS => 1,
State_EATING => 2,
State_SURRENDERING => 3,
State_THINKING => 4);
for State'Size use ECOA.Unsigned_8_Type'Size;
for State'Alignment use ECOA.Unsigned_8_Type'Alignment;


end philosopher;
